
Ruby - Bug #8806

SEGV in Date.rfc2822

08/21/2013 03:21 PM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version:    

ruby -v: 2.0.0-p295, 1.9.3-p469 Backport: 1.9.3: DONE, 2.0.0: DONE

Description

不正なwdayでDate.rfc2822がSEGVするので、r42100をバックポートしてください。

Associated revisions

Revision 335a9ef2f8acd966fd4f70281584e1c2258e4664 - 08/22/2013 04:19 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 42100: [Backport #8806]

    * ext/date/date_parse.c (rfc2822_cb): check if wday is given, since it

      can be omitted.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@42654 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 335a9ef2 - 08/22/2013 04:19 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 42100: [Backport #8806]

    * ext/date/date_parse.c (rfc2822_cb): check if wday is given, since it

      can be omitted.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@42654 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 727d746eaa6389c6992d72318ec004d2681a2efc - 09/02/2013 08:21 AM - U.Nakamura 

merge revision(s) 42100: [Backport #8806]

    * ext/date/date_parse.c (rfc2822_cb): check if wday is given, since it

      can be omitted.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@42774 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 727d746e - 09/02/2013 08:21 AM - U.Nakamura 

merge revision(s) 42100: [Backport #8806]

    * ext/date/date_parse.c (rfc2822_cb): check if wday is given, since it

      can be omitted.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@42774 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/23/2013 01:19 AM - nagachika (Tomoyuki Chikanaga)

- Assignee changed from nagachika (Tomoyuki Chikanaga) to usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: REQUIRED, 2.0.0: REQUIRED to 1.9.3: REQUIRED, 2.0.0: DONE

r42654 で ruby_2_0_0 ブランチにバックポートしました。

#2 - 09/02/2013 05:22 PM - usa (Usaku NAKAMURA)

- Status changed from Assigned to Closed

- Backport changed from 1.9.3: REQUIRED, 2.0.0: DONE to 1.9.3: DONE, 2.0.0: DONE

backported into ruby_1_9_3 at r42774.
